# Interface methods for submodule: MinimumMaximumImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSinkProxy as _ImageSinkProxy


# Interface methods for class: MinimumMaximumImageFilter
class MinimumMaximumImageFilterProxy(_ImageSinkProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMinimumOutput(self):
		""""""
		...

	@overload
	def GetMinimum(self) -> float:
		""""""
		...

	@overload
	def GetMinimum(self) -> int:
		""""""
		...

	def GetMaximumOutput(self):
		""""""
		...

	@overload
	def GetMaximum(self) -> float:
		""""""
		...

	@overload
	def GetMaximum(self) -> int:
		""""""
		...

	def MakeOutput(self, name: str):
		""""""
		...

	def SetNumberOfStreamDivisions(self, n: int) -> None:
		""""""
		...

	def GetNumberOfStreamDivisions(self) -> int:
		""""""
		...

